
Summary: Naver Whale Stable
Name: naver-whale-browser
Version:  3.25.232.15
Release: %mkrel 1
License: Proprietary
Group: Networking/WWW
URL: https://whale.naver.com/en/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: binutils xz tar sd
AutoReqProv: no
Requires: fonts-ttf-korean
Obsoletes: naver-whale-stable
Provides: naver-whale-stable = %{version}-%{release}


%description
Naver Whale is a South Korean freeware Chrome based web browser developed by Naver
Corporation, which is also available in English. 


%prep
%setup -T -n %{name} -c

%build

%install
rm -rf %buildroot
mkdir %buildroot

#export DONT_STRIP=1
%define deb_package naver-whale-stable_amd64.deb

#download source
cd $RPM_SOURCE_DIR
wget -nc "https://installer-whale.pstatic.net/downloads/installers/%{deb_package}" 
cd ..

# extract data from the deb package
ar p $RPM_SOURCE_DIR/%{deb_package} data.tar.xz | xz -d -9 | tar x -C %buildroot

#drop this
rm -rf %buildroot/%{_sysconfdir}/cron.daily/naver-whale
rm -rf %buildroot/%{_datadir}/gnome-control-center/default-apps/naver-whale.xml
rm -rf %buildroot/%{_datadir}/menu/naver-whale.menu

#icon for menu
mkdir -p %buildroot/%{_datadir}/pixmaps
cp %buildroot/opt/naver/whale/product_logo_48.png \
%buildroot/%{_datadir}/pixmaps/naver-whale.png

#change desktop name
sd "Name=Naver Whale" "Name=Naver Whale Browser" %buildroot/%{_datadir}/applications/naver-whale.desktop

%clean
rm -rf %buildroot

%post
%update_menus

%postun
%clean_menus

%files
%defattr(-,root,root,-)
/opt/naver
%{_bindir}/naver-whale-stable
%{_datadir}/appdata/naver-whale.appdata.xml
%{_datadir}/applications/naver-whale.desktop
%{_datadir}/doc/naver-whale-stable/changelog.gz
%{_datadir}/pixmaps/naver-whale.png

%changelog
* Fri Mar 08 2024 tex - 3.25.232.15-1pclos2024
- new version

* Sat Jan 20 2024 tex - 3.24.223.21-1pclos2024
- new version

* Tue Jan 09 2024 tex - 3.24.223.18-1pclos2024
- new version

* Tue Dec 05 2023 tex - 3.23.214.17-1pclos2023
- new version

* Tue Oct 31 2023 tex - 3.23.214.10-1pclos2023
- new version

* Fri Oct 13 2023 tex - 3.22.205.26-1pclos2023
- new version

* Wed Sep 06 2023 tex - 3.22.205.14-1pclos2023
- new version

* Sat Sep 02 2023 tex - 3.22.205.10-1pclos2023
- new version

* Wed Jun 14 2023 tex - 3.21.192.15-1pclos2023
- new version

* Sat Apr 22 2023 tex - 3.20.182.14-1pclos2023
- new version

* Tue Apr 11 2023 tex - 3.20.182.9-1pclos2023
- new version

* Sat Feb 11 2023 tex - 3.19.166.16-1pclos2023
- new version

* Fri Jan 20 2023 tex - 3.18.154.13-1pclos2023
- new version

* Wed Dec 14 2022 tex - 3.18.154.7-1pclos2022
- new version

* Fri Dec 09 2022 tex - 3.18.154.5-1pclos2022
- new version

* Tue Nov 29 2022 tex - 3.17.145.18-1pclos2022
- new version

* Sun Oct 16 2022 tex - 3.17.145.12-1pclos2022
- new version

* Mon Sep 26 2022 tex - 3.16.138.27-1pclos2022
- new version

* Fri Jun 10 2022 tex - 3.15.136.18-1pclos2022
- new version

* Thu Feb 10 2022 tex - 3.13.131.27-1pclos2022
- new version

* Thu Feb 10 2022 tex - 3.13.131.25-1pclos2022
- new version

